package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiRespPerMapper;
import com.goldenwater.slaj.hazard.domain.TBusiRespPer;
import com.goldenwater.slaj.hazard.service.ITBusiRespPerService;

/**
 * 责任人 服务层实现
 */
@Service
public class TBusiRespPerServiceImpl implements ITBusiRespPerService {

    @Autowired
    private TBusiRespPerMapper tBusiRespPerMapper;

    @Override
    public TBusiRespPer selectTBusiRespPerByGuid(String guid) {
        return tBusiRespPerMapper.selectTBusiRespPerByGuid(guid);
    }

    @Override
    public List<TBusiRespPer> selectTBusiRespPerList(TBusiRespPer tBusiRespPer) {
        return tBusiRespPerMapper.selectTBusiRespPerList(tBusiRespPer);
    }

    @Override
    public int insertTBusiRespPer(TBusiRespPer tBusiRespPer) {
        return tBusiRespPerMapper.insertTBusiRespPer(tBusiRespPer);
    }

    @Override
    public int updateTBusiRespPer(TBusiRespPer tBusiRespPer) {
        return tBusiRespPerMapper.updateTBusiRespPer(tBusiRespPer);
    }

    @Override
    public int deleteTBusiRespPerByGuid(String guid) {
        return tBusiRespPerMapper.deleteTBusiRespPerByGuid(guid);
    }

    @Override
    public int deleteTBusiRespPerByGuids(String[] guids) {
        return tBusiRespPerMapper.deleteTBusiRespPerByGuids(guids);
    }
}
